Subject: bug#30346: lcms.c doesn't compile when lcms.h isn't in default search path

From: Rainer Orth <[email-masked]>
Date: Sun, 04 Feb 2018 15:15:31 +0100

I just tried to compile emacs 26.0.91 on Solaris 11.4 Beta.  This failed
building lcms.o:

  CC       lcms.o
/vol/gnu/src/emacs/emacs-26.0.91/src/lcms.c:23:19: fatal error: lcms2.h: No such file or directory

lcms.h lives in /usr/include/lcms/lcms.h and lcms2.pc correctly adds a
matching -I to Cflags.  However, configure.ac just does a link test for
cmsCreateTransform, which succeeds.  I can work around this by adding a
matching -I option to CPPFLAGS at configure time, but it seems silly
having to do so if the information can be derived automatically.

	Rainer

-- 
-----------------------------------------------------------------------------
Rainer Orth, Center for Biotechnology, Bielefeld University